> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet list



## OpenAPI

````yaml openapi.json get /wallet
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /wallet:
    parameters: []
    get:
      tags:
        - Wallet
      summary: Wallet list
      parameters:
        - name: size
          in: query
          required: false
          example: '50'
          schema:
            type: integer
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: accountNumber
          in: query
          required: false
          example: '2281427675'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          example: ACTIVE
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          example: '2024-08-13'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2024-08-15'
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '308'
            ETag:
              schema:
                type: string
              example: W/"134-9cQx0ETwVd69h4KeTzlNKm+LYpU"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Fri, 01 Dec 2023 11:49:18 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Wallet list
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      totalDebitAmount:
                        type: integer
                      totalCreditAmount:
                        type: integer
                      totalTransactionValue:
                        type: integer
                      totalTransactionVolume:
                        type: integer
                      wallets:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            tier:
                              type: integer
                            status:
                              type: string
                            accountName:
                              type: string
                            bookedBalance:
                              type: integer
                            availableBalance:
                              type: integer
                            bankName:
                              type: string
                            accountNumber:
                              type: string
                              format: utc-millisec
                            createdAt:
                              type: string
                              format: date-time
              example:
                status: true
                data:
                  size: 50
                  page: 1
                  totalRecords: 1
                  totalPages: 1
                  totalDebitAmount: 4140
                  totalCreditAmount: 25000
                  totalTransactionValue: 85000
                  totalTransactionVolume: 5
                  wallets:
                    - id: 8723d967-1d46-4ead-b011-1bfcb3fbd29a
                      tier: 1
                      status: ACTIVE
                      accountName: Ogundeko Ridwan
                      bookedBalance: 73790
                      availableBalance: 73790
                      bankName: Xpress Wallet
                      accountNumber: '4469806324'
                      createdAt: '2024-08-13T08:52:39.402Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````